| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | Private Attributes | List of all members
IG.Lib.SerializerBase.TestClass Class Reference

Simple class using for testing serialization. More...

Inheritance diagram for IG.Lib.SerializerBase.TestClass:
[legend]

## Public Member Functions
| TestClass ()
| TestClass (string name, double value)
override string | ToString ()

## Properties
string | Name`[get, set]`
double | Value`[get, set]`
bool | Flag`[get, set]`
double[][] | Numbers`[get]`

## Private Attributes
string | _name
double | _value
bool | _flag = true
double[][] | _numbers = new double[2][] { new double[3] {1.1, 1.2, 1.3}, null }

## Detailed Description

Simple class using for testing serialization.

## Constructor & Destructor Documentation

IG.Lib.SerializerBase.TestClass.TestClass | ( |  | ) |
| inline

IG.Lib.SerializerBase.TestClass.TestClass | ( | string | name,
|  | double | value
| ) |  |
| inline

## Member Function Documentation

override string IG.Lib.SerializerBase.TestClass.ToString | ( |  | ) |
| inline

## Member Data Documentation

string IG.Lib.SerializerBase.TestClass._name
| private

double IG.Lib.SerializerBase.TestClass._value
| private

bool IG.Lib.SerializerBase.TestClass._flag = true
| private

double [][] IG.Lib.SerializerBase.TestClass._numbers = new double[2][] { new double[3] {1.1, 1.2, 1.3}, null }
| private

## Property Documentation

string IG.Lib.SerializerBase.TestClass.Name
| get set

double IG.Lib.SerializerBase.TestClass.Value
| get set

bool IG.Lib.SerializerBase.TestClass.Flag
| get set

double [][] IG.Lib.SerializerBase.TestClass.Numbers
| get

The documentation for this class was generated from the following file:

- igbase/data/serialization/SerializerBase.cs